Welcome

User's manual for asix6

www.asix.com.pl

AsBase Module -

Recipes and Production Tracking

Doc. No ENH6004

Version: 19-08-2010


1. Intended Use of AsBase Module

AsBase module is a part of asix system designed for creation of applications the aim of which is:

  • archiving selected process data in the database and their further analysis,

  • realisation of the recipe management system.

The characteristic feature of AsBase is its fully interactive parameterisation and operation. In addition, the application designer is not required having any knowledge on database creation. The whole application construction process is carried out by entering data into the module's dialog windows.

In its archiving part, AsBase is designed for saving data in the form of structures comprised of a lot of process variables. The saving operation is initiated by the occurrence of a logic condition dependent on the value of synchronising variables and/or the current time. When frequent saving of single values of the variables is necessary, the archiving methods made available by the ASPAD module should be used.

AsBase stores data in the Microsoft SQL Server database – from the version 2000. The MSDE version of the server, which is provided with no additional costs as a part of asix system, may be used. It is also possible to use so-called full versions of the server. Nevertheless, in this case the user incurs the costs of purchasing relevant licences.

The use of the standard database provides the user with easy access to the application data from other programs, both those written by their own and the standard ones (e.g. Microsoft Excel).

The range of functions performed by AsBase module is as follows:

  • built-in application construction system,

  • access capabilities system integrated with the application,

  • automatic process data archiving activated according to the timetable or on the basis of values of the process variables,

  • possibility of manual edition (supplementation) of the archive,

  • edition of recipes,

  • entering the recipe values into the process variables,

  • making a record of the recipe loading operations,

  • automatic loading of recipes in response to changes in the value of a process variable,

  • review of the current values of process variables with possibility of manual activation of the process for saving them into the application database,

  • analysis and printing of the archived data and recipes,

  • data export to text-type, xls, xml and html files,

  • built-in database management system,

  • ability to control AsBase operation by means of AS operator actions,


2. Basic Terms

In order to be able to use AsBase module, the user should necessarily understand certain terms, which are explained in the following subsections.


2.1 Archiving Collection

The archiving collection describes the data structure to be archived. Parameterisation of the archiving collection is carried out by defining the fields, which comprise the collection (in the database application terminology, it corresponds to definition of the data table fields). These fields are not directly connected with process variables. However, the use of the collection requires determination of these connections by defining the collections of variables attached to the archiving collection.

On the application construction stage, the archiving collection stores the recorded values (records) of variables.

EXAMPLE

The application to monitor (archive) the furnace condition. The following fields were defined in the "Furnace temperatures" archiving collection:

Temperature down, floating-point type

Temperature middle, floating-point type

Temperature up, floating-point type

Burner activation, integral type


2.2. Group of Recipes

This term is similar to the collection of variables, however in this case it regards the recipe definition.

Parameterisation of a group of recipes is carried out by defining the fields that comprise the recipe. These fields are not directly connected with process variables. However, the recipe loading operation requires determination of these connections by defining the collections of variables attached to the group of recipes.

On the application construction stage, the group of recipes stores the recipe values. In other words, the group of recipes can be described as a container to store the values of recipes of the same type.

EXAMPLE

The application designed for mixing paints. The following fields were defined in the "Colours" group of recipes:

Red colour, floating-point type

Green colour, floating-point type

Blue colour, floating-point type


2.3. RecipeReceptura

2.3. Recipe

Recipe is a single element (record) of the group of recipes and it stores the setup values. Every recipe is identified by a unique name.

EXAMPLE

In the "Colours" group of recipes, the "Yellow" recipe with the following values of fields was introduced:

Red colour, 255

Green colour, 255

Blue colour, 0


2.4. Collection of Variables

Collections of variables are used for determination of connection among the fields in the archiving collections and groups of recipes with asix process variables. Collections of variables are simply the collections of process variable names. Each variable name is related to the corresponding field in the archiving collection or group of recipes. For archiving collections the collections of variables are used as a data source, and for groups of recipes – as a place of sending the data. Every archiving collection and group of recipes may be connected with more than one collection of variables. It allows several systems to be operated by one archiving collection or group of recipes.

EXAMPLE

In the paint mixing application, two collections of variables, "Mixer 1" and "Mixer 2", can be defined for the "Colours" group of recipes. This will allow their operation to be controlled from the common pool of recipes:

Collection of variables "Mixer 1"

Red colour, M1_R variable

Green colour, M1_G variable

Blue colour, M1_B variable

Collection of variables "Mixer 2"

Red colour, M2_R variable

Green colour, M2_G variable

Blue colour, M2_B variable


2.5. Dictionary

For fields of archiving collections and groups of recipes, the way of translating the numerical values into texts can be declared. Dictionaries are used in the presentation part of AsBase and they make it easier for the users to interpret the archived data or setup values.

EXAMPLE

Monitoring application. The "Burner activation" field may be connected with the "Switching statuses" dictionary, which has the following definitions:

Value 0 – Deactivated

Value 1 – Activated


2.6. Archiving Condition

The archiving conditions are the mechanism used for automatic definition of the moments when data are to be saved in archiving collections. In the condition definition, the place where data are to be saved (archiving collection), process data source (collection of variables) and saving condition are defined. Conditions can be time-dependent and/or consist in checking the synchronising values of process variables.

EXAMPLE

In the application to monitor the furnace condition, the user can define a condition under which the record of the current process variables is saved into the "Furnace temperatures" archiving collection at the moment, for example, when the temperature exceeds its critical value.


2.7. Automatic Recipe

The automatic recipe is a mechanism that allows the recipe value to be entered into the process variables in response to a change in the synchronising variable. Selection of the recipe to be sent is based on the value of the synchronising variable – synchronisation by the recipe name or the value of any field from the group of recipes is possible.

EXAMPLE

AsBase monitors changes in the "Colour" text variable. After any change in value of this variable is detected, the recipe with the name identical to the value of the "Colour" variable is searched for in the "Colours" group, and then the recipe record is loaded into the appropriate collection of variables.


3. Authorisations System

AsBase has built-in system for users' authorisation and control of their capabilities.

Two operating modes are possible:

  1. Full control of capabilities

Before any operation, every user must log into the application. The information on every admitted user, including their capabilities to perform individual operations, is saved in the application database.

  2. Anonymous mode

There are no user login operations in this mode. AsBase operates in the anonymous administrator mode or anonymous user mode. Selection of the operating mode is carried out during the program installation and cannot be changed later on.


3.1. Full Control of Capabilities

Every user defined in the application is specifically entitled to perform the following operations:

Administration

Entitles to define users, make backup copies of the database,

enable/disable automatic archiving.

Edition of application

Entitles to change the application definition, except for changing the user rights, enable/disable automatic archiving.

Edition of recipes

Entitles to edit and add new recipes without the right to change the structure of the group of recipes.

Loading the recipes

Entitles to carry out the recipe loading operation.

Full edition of archive

Entitles to manually edit and supplement the data in the archiving collection, without the right to change the structure.

Limited edition of archive

Entitles to change in registration set only those columns that have permission for being edited (in definition of registration set field the ‘Edition’ property is set to Yes by means of a checkbox).

REMARK Edition of set fields not connected with any variable in variable set is disabled for all users.

Saving the archive

Entitles to manually save a record into the archiving collection. The values being saved have to come from the collection of variables related to the archiving collection. It also allows edition of the collection's fields that are not connected with any process variable through the collection of variables.

Changing the looks

Entitles to change the looks of rows/cards of registration and recipe archives, especially:

- view creation:

- moving columns/rows,

- changing column width,

- changing card size,

- selecting a column.

The user with no capabilities to change the looks may switch over defined views, filter and sort the data.

REMARK The user with the application edition capability has also the capability to change the looks of rows/cards of registration and recipe archives.


3.2. Anonymous Mode

AsBase operates in the anonymous mode when no application is opened and when no user is defined in the application. The operating mode depends on the program installation.

Anonymous administrator has the following capabilities:

  • Administration

  • Edition of application

  • Edition of recipes

  • Loading the recipes

  • Edition of archive

  • Saving the archive

  • Creation of new application

A new AsBase application can also be created on a station installed as the administration station.

Anonymous user has the following capabilities:

  • Edition of recipes

  • Loading the recipes

  • Saving the archive

REMARK Operation of all application’s dialog boxes, that allow to choose the file or directory, is limited to the current application’s directory and its subdirectories, if the user has no authorizations to modyfy the application.


4. Program Operation

The following screen illustrates the main working window of AsBase.

Figure. The Main Working Window of AsBase.

The window is divided into the following parts:

  • Menu and toolbars

Menu and optional toolbars are fully configurable.

  • Navigation tree

The structure of the navigation tree depends on the user's capabilities and construction of the application. Clicking on the selected node switches the contents of the working panel.

  • Working panel

The main working element of AsBase window. Its contents depend on the selected node of the navigation tree.

  • Status bar

The bar, which contains the information fields concerning the current application status. The fields are active; clicking on a field results in carrying out the operation related to it.


4.1. File Structure

Each AsBase application consists of two components:

  • Configuration file xml

The xml file stores the basic configuration information only, such as location and the application database access method. In the xml file, definitions of archiving conditions and automatic recipes are saved too.

  • Databases

The application's database stores the application configuration data (description of archiving collections, groups of recipes, collections of variables and dictionaries), as well as other executive data (archives of archiving collections, values of recipes). The characteristic feature of AsBase is that no data are saved into the database during the application configuration until the user carries out the saving command. The executive data are always saved as they appear, without the user's interference.

In addition, AsBase uses the AsbaseParameters.xml file. This file does not depend on the application. It stores the global parameters, such as table display methods.


4.2. Start Up

AsBase is started using the following command:

AsBase STart xml_file_name [/single] [/minimize] /user:<user_id>/password:<password>

The optional parameter /single causes that in case of an attempt to run AsBase when it has already been started, the new instance of the program will not be created. The prime importance will be attached to the window of previously started AsBase.

The optional parameter /minimize causes the AsBase will be started with automatic window minimization.

/user:<user_id>/password:<password> - causes that indicated user is logged-in at AsBase start-up automatically


4.3. Menu and Toolbars

AsBase menu and its toolbars are fully configurable. The user can freely modify the contents of the menu and predefined bars. The user can also create own toolbars.

The configuration functions of the menu and toolbars are available through:

  1. the Toolbars command in the View menu,

  2. the toolbar context menu

  3. or the small triangle-shaped button available from the menu and on every toolbar.

The following sections describe AsBase commands according to their default arrangement.


4.3.1. File Menu

The File menu contains the following commands:

New

Creates a new, empty application.

Reload

This command reads the previously opened application once again. It is useful when the designer wants to delete changes and return to the original configuration after undesired modification is made.

Open

Opens a new application. The user indicates the name of the xml configuration file. Based on its contents, the appropriate database is opened.

Save

Saves the configuration on the hard disk. It regards both the parameters saved in the xml file and the contents of database configuration tables. This operation does not regard the executive data (the archives of archiving collections and values of recipes), which are saved as they appear.

Save as

Saves the application configuration in a file other than the original one. It regards the contents of xml file only. The data remain in the same database.

Recently opened files

Group of commands in the menu allowing the previously run applications to be quickly opened.

Standard Style

Group of commands (in the menu) that allows the active printout style to be selected. Printout styles determine format of page size and configuration, margin size, headings and footnotes size. Standard style is defined on the main window of AsBase configuration, in Print styles field.

Figure. Main window of AsBase configuration.

Print

This command results in direct printing of information displayed in the working panel.

Print preview

Opens the preview window of information displayed in the working panel. Using this window, the user can freely configure the printout.

Export

Allows the information displayed in the working panel to be saved in the text-type, xls, xml or html file.

Exit

Ends AsBase operation.


4.3.2. View Menu

The View menu contains the following commands:

Events log

Opens the window used for viewing AsBase messages concerning the application construction.

Style

Group of commands that allow the style of displaying AsBase windows to be selected.

Toolbars

Group of commands that manage the display of toolbars.

Grids

Submenu that groups the commands operating on the tables displayed in the working panel of AsBase window. The following commands are available:

Immediate edit mode

This command changes the table operation mode. In the immediate edition mode, upon entering the table field, the user is immediately moved to edition of the field contents. This mode is convenient when a lot of editing works on data in the tables are carried out. If the immediate edition mode is off, additional clicking in the table field or setting about entering new contents is required to activate the edition mode. This mode should be used when the user's operation is mainly reviewing the data.

Auto-refresh

This command refresh variable values in tables.

Show group by box

This command enables displaying the grouping field in the current table. This field allows data to be grouped by the contents of selected fields.

Show footer

This command enables displaying the footer bar in the current table. In the footer, consolidated information on individual columns, e.g. average value, can be displayed.

Columns best fit

This command automatically matches the current table column widths. The matching is carried out based on the window width and the columns width (taking the displayed data width into consideration).

Switch view

This command enables switching a view of table data. The table may be displayed as a set of rows or a set of cards. The view switching may be performed by Ctrl-Tab keys.

Select view

The command allows to expand previously defined views in order to select and use one of them.

Save view

The command allows to save changes in the current view of table.

Save view as...

The command allows to save the current view under a new name.

Delete view

The command allows to delete selected view from the list of previously defined views.


4.3.3. Tools Menu

The Tools menu contains the following commands:

Log on

This command is used to log in the application user. The command is disabled when no user has been defined for the application.

Activate data exchange

This command is used to activate and deactivate automatic archiving of archiving collections (operation of archiving conditions) and automatic loading of recipes.

Backup database

This command creates the database backup copy. Location of the backup copy file is defined in the database server parameterisation.

Restore database

Reconstruction of AsBase database contents on the basis of the recently created backup copy.

Import from database

This command allows the configuration data to be imported from the previously created database of another AsBase application.

Delete database

This command allows unnecessary databases to be removed from the server. Databases created by AsBase only can be removed.

Delete data

This command is used for removing data from the tables of archiving collections and groups of recipes.

Configure

Opens the window used to define global parameters of AsBase.

Switch off administrative mode

This command runs the operation that switches off the mode of anonymous administrator (Anonymous mode). The operation is non-reversible and can be used in the situation when there is the necessity to preclude the operator making possible changes in the application run on the computer operated by him.


4.3.4. Help Menu

The Help menu contains the following commands:

AsBase – Help

This command opens AsBase help file.

AsBase – About program

Opens the window with information on AsBase version.


4.4. Status Bar

The status bar is divided into areas with the following meaning:

Login area

In the login area, the name of the currently logged-in user is displayed. Double clicking within the area opens the login window.

Message indicator

Icon indicating the appearance of a new message in the events log. The colour of the icon determines the message importance. Single clicking on the icon results in disappearing of the signal. Double clicking opens the events log window.

Archiving area

In this area, the current status of operation of the automatic archiving. Double clicking within the area allows the data archiving option to be activated or deactivated.


4.5. Navigation Tree

The navigation tree is used for selection of information displayed in the working panel of AsBase window.

The form of the tree depends on the user's capabilities and construction of the application.

The structure of the tree in full version and meaning of individual nodes is as follows:

Configuration

The node used for editing parameters of the basic applications, such as database name and location.

Users

The node used for definition of the users and their capabilities.

Recipe groups

The node used for collective definition of the groups of recipes. Definition of the fields of groups is possible.

Recipe groups (name)

The node that allows a single group of recipes to be defined. Definition of the group fields and related collections of variables is possible.

Variable set (name)

The node used for definition of variables comprising the collection of variables.

Archive sets

The node used for collective definition of the collection of registrations. Definition of the fields of collections is possible.

Archive sets (name)

The node that allows a single collection of registrations to be defined. Definition of the collection fields and related collections of variables is possible.

Variable set (name)

The node used for definition of variables comprising the collection of variables.

Archive tiggers

The node used for definition of registration conditions.

Automatic recipes

The node used for definition of automatic recipes.

Dictionaries

The node that allows dictionaries, which determine translation of the field values into texts, to be edited.

Recipes

The node whose subnodes enable the access to the recipe values.

Group of recipes (name)

The node used for reviewing and editing the values of recipes from the group. The recipe loading operation is also possible.

Variable set (name)

The node that allows the current values of variables comprising the collection of variables to be reviewed. It also allows the data to be manually saved into the group of recipes as a new recipe and the recipe loading operation to be carried out.

History of loadings

The node in which the register of all recipe loading operations can be reviewed.

Registration

The node whose subnodes enable the access to the archives of collection of registrations.

Registration set (name)

The node used for reviewing and analysing the records for the collection of registrations collected in the database. The user with the appropriate capabilities can also edit the archive contents.

Variable set (name)

The node that allows the current values of variables comprising the collection of variables to be reviewed. It also allows data to be manually saved into the registrations collection archive.


4.6. Working Panel

Contents of the working panel are switched over by selection of the name of navigation tree node. In most cases the panel displays a table by means of which data are entered or analysed. General rules applying to operation of the working panel concern the following matters:

Nomenclature of Elements

Handling of Tables

Data Selection

Views


4.6.1. Nomenclature of Elements

As a rule, for definition of the application elements three parameters should be given:

Identifier – short symbolic name used to create the names of tables and fields in program interfaces and operator actions on the basis of application data. When no identifier is given, the program creates it automatically on the basis of the element name.

Name – descriptive name of the element used wherever the element is shown, for example names of the navigation tree nodes, headers of table columns.

Description – optional description of the element; has documentary meaning and is used in the hints related to the navigation tree nodes.

Fig. AsBase - main parameters of AsBase application elements.


4.6.2. Handling of Tables

Tables are available in two forms: simple and two-level. In the latter case, on the first level the main contents of the panel are displayed (e.g. the names of all groups of recipes). Each row of the first level is connected with so-called table of details, which displays information related to this row only (e.g. table of the fields occurring in the group of recipes).

Each table has its own toolbar displayed in the bottom frame of the table, used to handle the table. Apart from toolbar, you can also use the context menu (displayed by clicking within the table header area with the left mouse button), which provides the additional collection of operations.

To add rows to the table, click within the area of a new row (if displayed), press insert key or the [image] button in the toolbar.

If information is changed in a row, it must be accepted by the user. Acceptance takes place automatically by moving to another row or by pressing the [image] button in the toolbar.


4.6.3. Data Selection

Selection of data displayed in the table can be carried out with use of automatic filters available by clicking on the table column header. You can also use the advanced window to create filtering expressions. To open this window, press the [image] button in the toolbar.

In AsBase tables are also available predefined filters. The list of these filters is expanded by clicking the right mouse button on the column heading in the following tables: table of defined recipes, table of recipe loading history, table of registered values of archive sets.

Fig. AsBase – tabel of registered values of archive set.


4.6.4. Views

A set of views may be defined and stored for tables with archive data, recipe values and load history. A view is a combination of the following parameters determining the way a given table is displayed:

  • type of table presentation: rows or cards;

  • set of table columns;

  • column order;

  • column width;

  • sorting;

  • data filter.

Views can be managed with use of Grids toolbar available from the View/Toolbars menu.

Fig. The ‘Grids’ toolbar.

Adding a new view is realized by the Save view as… button. It causes the parameters of a current table view are saved. The Select view button applies a chosen view to a current table. The Delete view button removes a chosen view.

Applying a chosen view to a table may be connected with filter modification if such a filter is included in the view and concerns a column including a time value. The modification keeps the filters: „yesterday", „last month" etc. current at the moment of the view application. The filters including exact two conditions combined by an ‘and’ operator (and each condition is one of the <, <=, >, >= type relations) or exact one "between"/"not between" type condition are modified.


4.6.5. Configuration Panel

The configuration panel is used for giving global parameters of the application. These are:

Application description

Descriptive name of application

Server name

Name of the server the application database is installed on. Lack of name means that the server installed on the computer AsBase works on is used.

Database name

Name of application database

Process variables

Name of variable definition base (server and database name for MS SQL databases or MDB file) used for communication with the rest of asix system. It is also possible to use asix system application XML file (for asix v. 5) or zez-type file of the variablebase (for asix v. 4).

Data exchange computer

Name of computer that will archive collections of registrations and automatically load the recipes. When entered, this parameter will block the data exchange function on any other computer of the application.

Automatic data exchange

When ticked off, this selection field automatically activates the data exchange operation (handling of archiving conditions and automatic recipes) upon loading the application by AsBase program.

Print styles

The default print style is passed in this field. Using the [image] buton you can open dialog box used for creation, modification and selection of print styles.

Log in

Button to open the login window; displayed only when no user is logged in.

***

Modification of database settings takes place in specialised window opened by pressing Database settings button.

Figure. The 'Database settings' Window.

The meaning of the fields is as follows:

Server name

Name of the server the application database is installed on. Lack of name means that the server installed on the computer AsBase works on is used.

Database name

Name of application database

Authentication mode

Defines the method of AsBase authorisation in database server. In case of "SQL Server" authorisation, AsBase uses the account of automatically created user dedicated to access to the databases of AsBase.

Administrator access parameters

The operations carried out in the Database settings window require authorisations of administrator of the database server being used. In the Administrator access parameters frame, correct parameters, which depend on how the server has been configured, should to be set

Database backup

This group of fields specifies the parameters for carrying out the database backup. The Directory field indicates the place the database backup will be written into. The Backup database every field allows to determine the frquency the database will be backed up automatically. If the filed is 0, the function of automatic database backup will be inaccessible. You can make backup "manually" by choosing Backup database from the Tools menu. Also in this case, the backup is written into the directory determined by Directory. If the filed is 0, the backup is stored in a default backup directory of the SQL server. If the SQL server is at the same computer with the AsBase application, backup directory selection is possible by the button of the Directory field. If the SQL server is at a remote station, a directory backup name should be entered into the Directory field.

Automatic data deletion

This group of fields specifies the way the table records will be removed automatically. Automatic record deletion concerns archive tables and recipe load history. The Delete older data than option allows to specify a maximum time after expiration of which the records will be deleted from the table. The Maximum record count in a table field allows to limit a number of records. When the number of records exceeds the specified number, the oldest records will be removed.

The ‘Database settings’ box may be used to transfer the database between servers. If the Database name field includes the name of the database that does not exist, AsBase will ask the user whether a database should be created or read from a file. In second case, you can indicate the file of backup database having been written previously.


4.6.6. User Panel

The user panel is used for management of AsBase user database. It is available in two forms: table or user cards.

Figure. User Panel – User Card.

The meaning of the fields is as follows:

Identifier

Login identifier.

Name

Descriptive user name.

Password

User login password.

Administration

Group of selection fields for individual authorisations. For description of detailed meaning of the fields, see Full Control of Capabilities.


4.6.7. Panels for Definition of Recipe Groups and Registration Sets

These panels are used for creation and edition of registration sets and recipe groups.

Figure. Panel for Definition of Recipe Groups.

Figure. Panel for Definition of Registration Sets.

The main table allows identifiers, names and descriptions of registration sets and recipe groups to be edited. The tables of details are used for defining the fields of registration sets or recipe groups. For meaning of parameters of the fields available in the table, see Panels for Definition of Registration Set or Recipe Group.


4.6.8. Panels for Definition of Fields of Recipe Group or Registration Set

Panels for definition of registration set or recipe group are used for comprehensive configuration of a single registration set or a single group of recipes. Two configuration views are available. The first is used to edit the fields.

1 View – Recipe Group Fields

Figure 7. Panel for Definition of Fields for Recipe Group.

The meaning of the table columns is as follows:

Order

In the column, the subsequent number of the field in collection or group is given. It allows the fields to be arranged according to the required order. To change the sequence is to give a new number. AsBase will automatically correct values in the Sequence column for the other fields.

Identifier

Field identifier.

Name

Descriptive name of the field.

Description

Description of the field.

Parameters

Field used to define the type of field and additional information related to the specific type. Entering into Parameters field opens the following window:

Figure. Box for Parameterization of 'Parameters' Field in Recipe Group Definition.

The following types of fields are available:

Integer – Integer

For fields of integer type the name of dictionary used to translate numerical values of the field into texts may be declared.

Float – Floating-point number

It is possible to declare a number of decimal places and format for floating-point field. It is used when displaying the table.

Text – Text-type field

For text-type fields the field length should be additionally defined.

Date – Field in date and time format

The date field requires determination of how process data are to be interpreted. The primary mode is exchange through text-type variables. In this case in the parameters window, it is defined how date and time are to be formatted for data exchange. Exchange through number-type variables as a number of seconds since 01-01-1970 is also possible (according to IEC61131 – DATE_AND_TIME).

Duration – field in integer format that determines a time in milliseconds.

If data exchange is realized by text variables, the Duration field demands the way of duration time format for data exchange to be defined. It is also possible to exchange the data through number variables with duration time expressed as a number of milliseconds (according to IEC61131 – TIME_OF_DAY standard).

2 View – Recipe Group Variables

The latter view of the panel allows collections of variables related to a recipe group fields (or registration set fields) to be defined.

Figure. Window for Definition of Variable Set Connected with Recipe Group.

The main table allows identifiers, names and descriptions of collections of variables to be edited. The tables of details are used to define the fields of the names of variables connected with recipes. The Order and Name columns are not editable. Their values result from definition of the fields of recipe group (registration set).


4.6.9. Panel for Definition of Variable Set

Panels for definition of variable set are used for configuration of a variable sets related to a group of recipes (or registration sets).

Figure. Panel for Variable Set Definition – Declaring Variable Sets.

Figure. Panel for Variable Set Definition - Declaring Variables.

The main table allows identifiers, names and descriptions of collections of variables to be edited. In the panel, the names of variables comprising collection of variables can be defined only. The Order and Name columns are not editable. Their values result from definition of the fields of recipe group (or registration set) the collection of variables is related to.


4.6.10. Registration Conditions Panel

The registration conditions panel is used to define the registration conditions used for automatic archiving of collections of registrations. During operation with active archiving function, AsBase verifies all the defined conditions and, if they are met, writes the current values of process variables in the archive.

Figure. Panel of Reigstration Conditions.

The conditions panel consists of two parts. In the upper one, there is a navigation table displaying the names of all defined conditions along with identifiers of the collection of registrations and collection of variables affected by the condition. In the bottom part there is a group of edit fields used to define all parameters of the registration condition selected from the navigation table.

The meaning of edit fields is as follows:

Description

Descriptive name of registration condition

Archive set

Identifier of the collection of registrations into which values will be written if condition is met.

Variable set

Identifier of collection of variables the written values will come from.

Synchronise on time

Selection field that activates verification of time-dependent condition.

Period

Interval at which records are written into collections of registrations. If interval is equal to 0:00, then record is written once a day at the time specified in the "Start" field.

Start time

Initial time of writing. For example: if "Start" field is equal to 0:15 and interval is equal to 1 hour, then writing is carried at 0:15, 1:15, 2:15, etc.

Day

Selection of a day on which writing it to be carried out. If value "Everyday" is set, verification of day is deactivated.

Synchronize on value

Selection field that activates condition verification, which consists in testing the value of control variable.

Variable name

Name of control variable.

Comparison type

Selection of type of comparison. Modes of value comparison and bit comparison are available.

Comparison value

Value, which the value of control variable will be compared to. The value of comparison may be:

  • Numerical value

  • Name of comparison variable (the field starts with @)

  • In this case values of control variable and comparison variable are compared.

Value of control variable attribute (the field starts with #)

The comparison value is retrieved from the variablebase. The attribute may be a number or the name of comparison variable.

Reset value

In this field, you may optionally give a value, which is to be sent to the address of control variable when record has been written. It is used for synchronisation with industrial process driver.

Synchronisation type

This field determines the moment at which the write of archiving values is performed after the archive condition having been detected. The possible values for Synchronisation type are as follows:

  • „archive currently available data" – default type; variable values of archive set are archived immediately after the archiving condition detection; selection of this type may cause that the values read from devices before the condition occurence will be write into the archive;

  • „wait for current data" – after archiving condition detection AsBase will be waiting for receiving measurement data the read times of which are equal or later in comparison with the read time of the control variable; selection of this type may cause a considerable delay of data write into the archive if the archive set includes variables with a long refresh time.

  • „force current data read" – after archiving condition detection AsBase forces a physical data readout form measurement devices. It should be noticed that a physical readuot may be long-term and may cause a delay in AsBase operation – a delay of archiving other registration conditions, among others.

If time mode and value comparison mode are used, the procedure is as follows: time condition is verified and if met, the value test is carried out.


4.6.11. Automatic Recipe Panel

Automatic recipe panel is used for defining parameters which, when data exchange function is deactivated, bring about automatic loading of recipes as a response to changes in values of synchronising variables.

Figure. Automatic Recipe Panel.

The panel consists of two parts. In the upper one, there is a navigation table displaying the names of all defined automatic recipes along with identifiers of group of recipes and collection of variables that are used during the loading operation. In the bottom part there is a group of edit fields used to define all parameters of the automatic recipe selected from the navigation table.


4.6.12. Dictionary Panel

Dictionary panel is used for defining dictionaries allowing the numerical values of the fields of collections of registrations and groups of recipes to be translated into their text equivalents.

Figure. Dictionary Panel.

The main table allows names and descriptions of dictionaries to be edited. In the tables of details, the dictionary texts with corresponding numerical values are defined.


4.6.13. Recipe Management Panel

Recipe management panel is used for comprehensive handling of recipes belonging to a single group of recipes. It is possible to add new recipes and edit and cancel the existing ones. The panel is also equipped with mechanisms for reviewing and analysing the pool of recipes.

The recipe loading operation is also possible.

Figure. Recipe Management Panel - Recipes.

In the table of recipes, there is a column of recipe names and column of values for all defined fields of the group of recipes.

In order to load a recipe, select the appropriate row in the table and, in the Variables set field, select the name of the collection of variables, which the values of recipes will be sent to. To initiate the operation, press the Load recipe button. All the recipe loading operations are recorded.


4.6.14. Recipe Loading History Panel

Recipe loading history panel is used for reviewing the registered recipe loading operations for a single group of recipes.

Figure. Panel of Recipe Load History.

In the table of recipes, there is a column of recipe names, column of loading time, column of operation status and column of values for all defined fields of the group of recipes. As an option, the column of loading time converted into UTC time, column of user identifier (that has loaded the recipe) and column of variable collection, which the recipe was loaded to, may be activated (with use of command Field chooser or All columns in the context menu of the table).

Columns with the recipe field values display the values that were applicable to the specific recipe upon the loading operation has been completed. They may differ from the current ones if the recipe was modified then.


4.6.15. Panel of Registration of Archive

The registration collection archive panel is used for reviewing and analysing the data for a single collection of registrations. The user who has relevant authorisations may supplement and modify the collected data.

Figure. Panel of Registration of Archive Sets.

In the table of archive, there is a column of value registration time, column of collective quality of data and columns of values for all defined fields of the collection of registrations. As an option, the column of registration time converted into UTC time, column of variable collection (the data come from) and column of individual time and quality for all fields of collection may be activated (with use of command Field chooser in the context menu of the table).

Interpretation of the values of quality columns is carried out in accordance with convention of OPC statuses. AsBase carries out translations of numerical values into corresponding texts. The collective quality status is equal to OK (192) only if individual quality of every field of the collection is OK too.


4.6.16. Variable Set Review Panel

The variable collection review panel allows the current values of process variables comprising the collection to be reviewed. The panel also allows the recipe loading operation and manual value registration to be carried out.

Figure. Variable Set Review Panel.

The columns displayed in the table are:

Name

Name of the field of group of recipes or archiving collection the variable is connected with.

Variable name

Name of monitored process variable.

Value

Current value of variable.

Quality

Quality of displayed value. The original status in OPC format is translated into its text-type equivalent.

Time

Variable readout time.

The operation of loading a recipe is to select in the Recipe’s name field the recipe to be loaded and click on Load recipe button.

In order to create a new recipe on the basis of the current values of variables, you should give the name of new recipe in the Recipe name field and click on the Save values button.

In order to save a record for collection of registrations, you should only click on the Save values button.


5. Operator Actions

The AsBase operation may be controlled remotely with use of operator actions of AS program. To do so you should use the ASBASE action, which allows:

  • starting the AsBase,

  • selection of highlighted panel,

  • carrying out the recipe loading operation.

For detailed description of ASBASE actions, see the asix program documentation (asix.hlp) in 16.2. Description of Actions chapter.


6. Database Structure

The AsBase application's database is created on Microsoft SQL Server. The following information enables access to the archives and recipes of the application from external software independent of AsBase (e.g. Microsoft Excel, databases applications).


6.1. Database Name

SQL server database name is created according to the following pattern:

_asbase_<database_name>

where:

<database_name> - is the internal name of AsBase database displayed, among other things, in the configuration panel.


6.2. Tables of Registration Collection Archive

The name of the table of collection of registrations archive is created according to the following pattern:

ARCHSET_<identifier of collection>

The archive table includes the following fields:

  • ID

Type - int

Unique record ID.

  • SOURCE

Type – varchar(20)

Name of the record source: user ID or name of computer.

  • LOCALTIME

Type - datetime

Local time of record write operation.

  • UTCTIME

Type - datetime

UTC time of record write operation.

  • STATUS

Type – int

Collective status in OPC convention to describe quality of data written in the record.

  • V_<identifier of the field>

Type – depends on selected type of field

Value of archiving field.

  • T_<identifier of the field>

Type – datetime

Individual local time of the field value read operation.

  • S_<identifier of the field>

Type – int

Individual status in OPC convention to describe quality of field value.

The fields of V_, repeat for every field of set archiving. The occurance of T_ and S_ type fields is dependent on set parameterization.


6.3. Tables of Recipe Values

The name of the table of values of group of recipes is created according to the following pattern:

RECIPESET_<identifier of the field>

The table of recipe values includes the following fields:

  • ID

Type - int

Unique record ID.

  • NAME

Type – varchar(50)

Name of recipe.

  • CREATEDBY

Type – varchar(20)

Recipe by: user ID or name of computer.

  • LOCALTIME

Type - datetime

Local time of the last modification in the recipe record.

  • V_<identifier of the field>

Type – depends on selected type of field

Value of recipe field.

The field of V_ type repeats for every field of the group of recipes.


6.4. Tables of Recipe Loading History

The name of the table containing history of recipe loadings for group of recipes is created according to the following pattern:

RECIPELOAD_<identifier of the group>

The loading history table includes the following fields:

  • ID

Type - int

Unique record ID.

  • NAME

Type – varchar(50)

Name of loaded recipe.

  • LOADBY

Type – varchar(20)

Defines who loaded the recipe: user ID or name of computer.

  • LOCALTIME

Type - datetime

Local time of recipe loading.

  • UTCTIME

Type - datetime

UTC time of recipe loading.

  • STATUS

Type - int

Status of the loading operation execution in OPC convention.

  • V_<identifier of the field>

Type – depends on selected type of field

Loaded value of recipe field. This is the field value that was applicable when the loading operation was being carried out.

The field of V_ type repeats for every field of the group of recipes.